function plugindef()

   -- This function and the 'finaleplugin' namespace

   -- are both reserved for the plug-in definition.

   finaleplugin.Author = "CHRIS"

   finaleplugin.Date = "13/11/2013"

   finaleplugin.CategoryTags = "Text"

   return "Texte sur Part", "", "Cree un texte visible uniquement sur la part active"

end





-- demander texte a l'utilisateur

local dialog = finenv.UserValueInput()

dialog.Title = "CHRIS - Texte sur Part"

dialog:SetTypes("String")

dialog:SetDescriptions("Veuillez entrer votre texte :")

local returnvalues = dialog:Execute()



-- si annuler -> fin

if returnvalues == nil then return end



-- creer la chaine de caracteres Enigma

local myText = finale.FCString()

myText.LuaString = "^fontTxt(Arial, 0)^size(8)^nfx(0)" .. returnvalues[1]



-- creer un objet texte attachee a une page

local myPageText = finale.FCPageText()



-- positionner le texte

myPageText:SetHorizontalAlignment(finale.TEXTHORIZALIGN_LEFT)

myPageText:SetVerticalAlignment(finale.TEXTVERTALIGN_BOTTOM)



-- cacher le texte globalement

myPageText:SetVisible(false)



-- sauver

myPageText:SaveNewTextBlock(myText)

myPageText:SaveNew(0)



-- memoriser l'ID du TextBlock

local id=myPageText.TextBlockID



-- charger tous les textes attaches aux pages

pagetexts = finale.FCPageTexts()

pagetexts:LoadAll()



-- rendre visible notre texte sur la part active

for pagetext in each(pagetexts) do

     if pagetext.TextBlockID  == id  then

        pagetext:SetVisible(true)

        pagetext:Save()

        break

     end 

end
